#ifndef USERAPI_H
#define USERAPI_H

#include "network/networkaccessmanager.h"

#include <QMetaType>
#include <QString>
#include <QStringList>

class BaseListInfo
{
    Q_GADGET
    Q_PROPERTY(qint64 total MEMBER total)
    Q_PROPERTY(QString username MEMBER username)
    Q_PROPERTY(QStringList roleName MEMBER roleName)

public:
    BaseListInfo() = default;

    qint64 total;
    QString username;
    QStringList roleName;
};

class UserInfo
{
    Q_GADGET
    Q_PROPERTY(QString userId MEMBER id)
    Q_PROPERTY(QString username MEMBER username)
    Q_PROPERTY(QStringList roleName MEMBER roleName)

public:
    UserInfo() = default;

    QString id;
    QString username;
    QStringList roleName;
};
Q_DECLARE_METATYPE(UserInfo)

QFuture<HttpResponse> getUserInfoApi();

#endif // USERAPI_H
